Overview | Package | Class | Tree | Deprecated | Index | Help
| SolarMetric Kodo JDO 3.4.1 generated on May 30 2006
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## kodo.event
Class RemoteCommitEvent

    java.lang.Object
      |
      +--kodo.event.RemoteCommitEvent

All Implemented Interfaces:
  Externalizable, Serializable

public class RemoteCommitEvent
extends Object
implements Externalizable

Utility structure to hold the IDs of additions, updates, and deletes. This event type is also fully serializable for remote communication.

Since:
  3.0
See Also:
  Serialized Form

Field Summary
`static int` | `PAYLOAD_EXTENTS` Names of added, updated, and deleted classes only.
`static int` | `PAYLOAD_OIDS` Names of added classes, upated, and deleted Object IDs.
`static int` | `PAYLOAD_OIDS_WITH_ADDS` Names of added classes, added, upated, and deleted Object IDs.
`static int` | `TYPE_EXTENT`
`static int` | `TYPE_OBJECTS`
`static int` | `TYPE_OBJECTS_W_ADDS`

Constructor Summary
`RemoteCommitEvent()` Constructor used during externalization.
`RemoteCommitEvent(Collection adds, Collection updates, Collection deletes)`
`RemoteCommitEvent(Collection adds, Collection updates, Collection deletes, Collection addClasses, Collection updateClasses, Collection deleteClasses, int payloadType)` Constructor.

Method Summary
`Collection` | `getAddedClassNames()` For all event types, return the set of class names for the classes of inserted objects.
`Collection` | `getAddedObjectIds()` When the event type is PAYLOAD_OIDS_WITH_ADDS, return the set of object IDs for added objects.
`Collection` | `getDeletedClassNames()` When the event type is PAYLOAD_EXTENTS, return the set of class names for the classes of deleted objects.
`Collection` | `getDeletedObjectIds()` When the event type is not PAYLOAD_EXTENTS, return the set of object IDs for deleted objects.
`int` | `getPayloadType()` Return the event PAYLOAD constant for this RemoteCommitEvent.
`Collection` | `getUpdatedClassNames()` When the event type is PAYLOAD_EXTENTS, return the set of class names for the classes of updated objects.
`Collection` | `getUpdatedObjectIds()` When the event type is not PAYLOAD_EXTENTS, return the set of object IDs for updated objects.
`void` | `readExternal(ObjectInput in)`
`void` | `writeExternal(ObjectOutput out)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### TYPE_OBJECTS

    public static final int TYPE_OBJECTS

### TYPE_OBJECTS_W_ADDS

    public static final int TYPE_OBJECTS_W_ADDS

### TYPE_EXTENT

    public static final int TYPE_EXTENT

### PAYLOAD_OIDS

    public static final int PAYLOAD_OIDS

  Names of added classes, upated, and deleted Object IDs.

### PAYLOAD_OIDS_WITH_ADDS

    public static final int PAYLOAD_OIDS_WITH_ADDS

  Names of added classes, added, upated, and deleted Object IDs.

### PAYLOAD_EXTENTS

    public static final int PAYLOAD_EXTENTS

  Names of added, updated, and deleted classes only.

Constructor Detail

### RemoteCommitEvent

    public RemoteCommitEvent()

  Constructor used during externalization.

### RemoteCommitEvent

    public RemoteCommitEvent(Collection adds,
                             Collection updates,
                             Collection deletes)

### RemoteCommitEvent

    public RemoteCommitEvent(Collection adds,
                             Collection updates,
                             Collection deletes,
                             Collection addClasses,
                             Collection updateClasses,
                             Collection deleteClasses,
                             int payloadType)

  Constructor. All collections will be proxied with unmodifiable views.
  Parameters:
    `adds` - set of object IDs for added instances
    `updates` - set of object IDs for updated instances
    `deletes` - set of object IDs for deleted instances
    `addClasses` - set of class names for added instances
    `updateClasses` - set of class names for updated instances
    `deleteClasses` - set of class names for deleted instances
    `payloadType` - PAYLOAD constant for type of data in this event

Method Detail

### getPayloadType

    public int getPayloadType()

  Return the event PAYLOAD constant for this RemoteCommitEvent.

### getAddedObjectIds

    public Collection getAddedObjectIds()

  When the event type is PAYLOAD_OIDS_WITH_ADDS, return the set of object IDs for added objects. This will only be callable when the backward compatability property transmitAddObjectIds is true.

### getUpdatedObjectIds

    public Collection getUpdatedObjectIds()

  When the event type is not PAYLOAD_EXTENTS, return the set of object IDs for updated objects.

### getDeletedObjectIds

    public Collection getDeletedObjectIds()

  When the event type is not PAYLOAD_EXTENTS, return the set of object IDs for deleted objects.

### getAddedClassNames

    public Collection getAddedClassNames()

  For all event types, return the set of class names for the classes of inserted objects.

### getUpdatedClassNames

    public Collection getUpdatedClassNames()

  When the event type is PAYLOAD_EXTENTS, return the set of class names for the classes of updated objects.

### getDeletedClassNames

    public Collection getDeletedClassNames()

  When the event type is PAYLOAD_EXTENTS, return the set of class names for the classes of deleted objects.

### writeExternal

    public void writeExternal(ObjectOutput out)
                       throws IOException

  Specified by:
    `writeExternal` in interface `Externalizable`

### readExternal

    public void readExternal(ObjectInput in)
                      throws IOException

  Specified by:
    `readExternal` in interface `Externalizable`

Overview | Package | Class | Tree | Deprecated | Index | Help
| SolarMetric Kodo JDO 3.4.1 generated on May 30 2006
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2001,2002 SolarMetric, Inc. All Rights Reserved.